<?php

/**
 * @version     1.0.0
 * @package     com_callback
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Kennedy Kinoti <billing@intrepid.co.ke> - http://www.intrepid.co.ke
 */
// No direct access
defined('_JEXEC') or die;

class CallbackController extends JController {

    /**
     * Method to display a view.
     *
     * @param	boolean			$cachable	If true, the view output will be cached
     * @param	array			$urlparams	An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
     *
     * @return	JController		This object to support chaining.
     * @since	1.5
     */
    public function display($cachable = false, $urlparams = false) {
        require_once JPATH_COMPONENT . '/helpers/callback.php';

        $view = JFactory::getApplication()->input->getCmd('view', 'vendors');
        JFactory::getApplication()->input->set('view', $view);

        parent::display($cachable, $urlparams);

        return $this;
    }

}
