<?php
/**
 * @version     1.0.0
 * @package     com_callback
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Kennedy Kinoti <billing@intrepid.co.ke> - http://www.intrepid.co.ke
 */

// No direct access.
defined('_JEXEC') or die;

require_once JPATH_COMPONENT.'/controller.php';

/**
 * Vendors list controller class.
 */
class CallbackControllerVendors extends CallbackController
{
	/**
	 * Proxy for getModel.
	 * @since	1.6
	 */
	public function &getModel($name = 'Vendors', $prefix = 'CallbackModel')
	{
		$model = parent::getModel($name, $prefix, array('ignore_request' => true));
		return $model;
	}
}